#
# Automatically generated file. DO NOT MODIFY
#

PRODUCT_SOONG_NAMESPACES += \
    vendor/oneplus/sm8450-common

PRODUCT_COPY_FILES += \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/init/android.hardware.drm@1.4-service.widevine.rc:$(TARGET_COPY_OUT_ODM)/etc/init/android.hardware.drm@1.4-service.widevine.rc \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/init/vendor-oplus-hardware-performance-V1-service.rc:$(TARGET_COPY_OUT_ODM)/etc/init/vendor-oplus-hardware-performance-V1-service.rc \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/media_codecs_c2.xml:$(TARGET_COPY_OUT_ODM)/etc/media_codecs_c2.xml \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/media_codecs_c2_dolby_audio.xml:$(TARGET_COPY_OUT_ODM)/etc/media_codecs_c2_dolby_audio.xml \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/media_codecs_ffmpeg.xml:$(TARGET_COPY_OUT_ODM)/etc/media_codecs_ffmpeg.xml \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/media_codecs_vendor_oplus.xml:$(TARGET_COPY_OUT_ODM)/etc/media_codecs_vendor_oplus.xml \
    vendor/oneplus/sm8450-common/proprietary/odm/etc/media_profiles_V1_0.xml:$(TARGET_COPY_OUT_ODM)/etc/media_profiles_V1_0.xml \
    vendor/oneplus/sm8450-common/proprietary/system/etc/sysconfig/qti_whitelist.xml:$(TARGET_COPY_OUT_SYSTEM)/etc/sysconfig/qti_whitelist.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/init/vendor.qti.hardware.qccsyshal@1.2-service.rc:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/init/vendor.qti.hardware.qccsyshal@1.2-service.rc \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/init/wfdservice.rc:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/init/wfdservice.rc \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/qcrilhook.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/qcrilhook.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/qti_libpermissions.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/qti_libpermissions.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/qti_permissions.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/qti_permissions.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/telephony_system-ext_privapp-permissions-qti.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/telephony_system-ext_privapp-permissions-qti.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/vendor.qti.ims.rcsservice.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/vendor.qti.ims.rcsservice.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/permissions/wfd-system-ext-privapp-permissions-qti.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/permissions/wfd-system-ext-privapp-permissions-qti.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/seccomp_policy/wfdservice64.policy:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/seccomp_policy/wfdservice64.policy \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/sysconfig/qti_whitelist_system_ext.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/sysconfig/qti_whitelist_system_ext.xml \
    vendor/oneplus/sm8450-common/proprietary/system_ext/etc/wfdconfigsink.xml:$(TARGET_COPY_OUT_SYSTEM_EXT)/etc/wfdconfigsink.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/Oplus_QC_LTM_Dev_2020_10_30.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/Oplus_QC_LTM_Dev_2020_10_30.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/Oplus_QC_LTM_SM7475_2023_02_01.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/Oplus_QC_LTM_SM7475_2023_02_01.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/Oplus_QC_LTM_SM8450_2021_10_12.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/Oplus_QC_LTM_SM8450_2021_10_12.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/Oplus_QC_LTM_SM8475_2022_05_10.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/Oplus_QC_LTM_SM8475_2022_05_10.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/Oplus_QC_LTM_SM8475_2022_07_05.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/Oplus_QC_LTM_SM8475_2022_07_05.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_ns_models/fai__2.0.0_0.1__3.0.0_0.0__eai_1.36_enpu2.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_ns_models/fai__2.0.0_0.1__3.0.0_0.0__eai_1.36_enpu2.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_ns_models/fai__2.3.0_0.1__3.0.0_0.0__eai_1.10.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_ns_models/fai__2.3.0_0.1__3.0.0_0.0__eai_1.10.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_ns_models/fai__2.3.0_0.1__3.0.0_0.0__eai_1.36_enpu2_comp.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_ns_models/fai__2.3.0_0.1__3.0.0_0.0__eai_1.36_enpu2_comp.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_ns_models/fai__2.7.20_0.0__3.0.0_0.0__eai_1.36_enpu2.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_ns_models/fai__2.7.20_0.0__3.0.0_0.0__eai_1.36_enpu2.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_ns_models/fai__2.7.2_0.0__3.0.0_0.0__eai_1.36_enpu2.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_ns_models/fai__2.7.2_0.0__3.0.0_0.0__eai_1.36_enpu2.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/nn_vad_models/fai__3.0.0_0.0__eai_1.36_enpu2.pmd:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/nn_vad_models/fai__3.0.0_0.0__eai_1.36_enpu2.pmd \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/ukee_mtp/MTP_ukee_acdb_cal.acdb:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/ukee_mtp/MTP_ukee_acdb_cal.acdb \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/ukee_mtp/MTP_ukee_workspaceFileXml.qwsp:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/ukee_mtp/MTP_ukee_workspaceFileXml.qwsp \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/waipio_mtp/MTP_acdb_cal.acdb:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/waipio_mtp/MTP_acdb_cal.acdb \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/acdbdata/waipio_mtp/MTP_workspaceFileXml.qwsp:$(TARGET_COPY_OUT_VENDOR)/etc/acdbdata/waipio_mtp/MTP_workspaceFileXml.qwsp \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/charger_fw_fstab.qti:$(TARGET_COPY_OUT_VENDOR)/etc/charger_fw_fstab.qti \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/mwqem.conf:$(TARGET_COPY_OUT_VENDOR)/etc/cne/mwqem.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/profileMwqem.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/profileMwqem.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile1.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile1.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile2.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile2.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile3.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile3.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile4.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile4.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile5.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile5.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile6.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile6.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ATT/ATT_profile7.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ATT/ATT_profile7.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile1.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile1.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile15.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile15.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile16.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile16.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile17.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile17.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile18.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile18.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile19.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile19.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile2.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile2.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile20.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile20.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile21.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile21.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile3.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile3.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile32.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile32.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile4.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile4.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile5.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile5.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile6.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile6.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/ROW/ROW_profile7.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/ROW/ROW_profile7.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile1.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile1.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile2.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile2.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile3.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile3.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile4.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile4.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile5.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile5.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile6.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile6.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/cne/wqeclient/VZW/VZW_profile7.xml:$(TARGET_COPY_OUT_VENDOR)/etc/cne/wqeclient/VZW/VZW_profile7.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/configstore/vpp.configstore.xml:$(TARGET_COPY_OUT_VENDOR)/etc/configstore/vpp.configstore.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/data/dsi_config.xml:$(TARGET_COPY_OUT_VENDOR)/etc/data/dsi_config.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/data/netmgr_config.xml:$(TARGET_COPY_OUT_VENDOR)/etc/data/netmgr_config.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/default-permissions/com.qualcomm.qti.cne.xml:$(TARGET_COPY_OUT_VENDOR)/etc/default-permissions/com.qualcomm.qti.cne.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU660.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU660.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU670.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU670.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU720.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU720.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU7__.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU7__.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU820.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU820.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU8__.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU8__.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/DPU9__.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/DPU9__.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/advanced_sf_offsets.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/advanced_sf_offsets.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/display/thermallevel_to_fps.xml:$(TARGET_COPY_OUT_VENDOR)/etc/display/thermallevel_to_fps.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/dpm_vndr/vendor.dpm.conf:$(TARGET_COPY_OUT_VENDOR)/etc/dpm_vndr/vendor.dpm.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/eva/facedetection/model3.dat:$(TARGET_COPY_OUT_VENDOR)/etc/eva/facedetection/model3.dat \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/gpfspath_oem_config.xml:$(TARGET_COPY_OUT_VENDOR)/etc/gpfspath_oem_config.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/android.hardware.bluetooth@1.0-service-qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.bluetooth@1.0-service-qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/android.hardware.drm@1.1-service.wfdhdcp.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.drm@1.1-service.wfdhdcp.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/android.hardware.gatekeeper@1.0-service-qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.gatekeeper@1.0-service-qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/android.hardware.keymaster@4.1-service-qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.keymaster@4.1-service-qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/android.hardware.security.keymint-service-qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.security.keymint-service-qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/cnd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/cnd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/com.qualcomm.qti.wifidisplayhal@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/com.qualcomm.qti.wifidisplayhal@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/dataadpl.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/dataadpl.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/dataqti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/dataqti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/dpmQmiMgr.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/dpmQmiMgr.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/feature_enabler_client.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/feature_enabler_client.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/hw/init.qti.kernel.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/hw/init.qti.kernel.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/ims_rtp_daemon.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/ims_rtp_daemon.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/imsdaemon.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/imsdaemon.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init.qdmastats.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init.qdmastats.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init.qti.media.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init.qti.media.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init.qti.qcv.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init.qti.qcv.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init.time_daemon.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init.time_daemon.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init.vendor.sensors.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init.vendor.sensors.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/init_thermal-engine-v2.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/init_thermal-engine-v2.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/loc-launcher.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/loc-launcher.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/netmgrd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/netmgrd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/port-bridge.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/port-bridge.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/poweropt-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/poweropt-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qapeservice.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qapeservice.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qconfig.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qconfig.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qcrilNrd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qcrilNrd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qdcmss.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qdcmss.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qmipriod.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qmipriod.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/qseecomd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/qseecomd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/shsusrd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/shsusrd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/ssgtzd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/ssgtzd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/trusteduilistener.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/trusteduilistener.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.display.color@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.display.color@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.dpmd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.dpmd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.adsprpc-guestos-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.adsprpc-guestos-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.cdsprpc-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.cdsprpc-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.diag.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.diag.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.capabilityconfigstore@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.capabilityconfigstore@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.dsp@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.dsp@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.iop@2.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.iop@2.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.perf-hal-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.perf-hal-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.qseecom@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.qseecom@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.qteeconnector@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.qteeconnector@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.soter@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.soter@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.hardware.trustedui@1.0-service-qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.hardware.trustedui@1.0-service-qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.media.c2@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.media.c2@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.media.c2audio@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.media.c2audio@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.qspmhal@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.qspmhal@1.0-service.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.rmt_storage.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.rmt_storage.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.qti.tftp.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.qti.tftp.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.sensors.qti.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.sensors.qti.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vendor.sensors.sscrpcd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.sensors.sscrpcd.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/vppservice.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vppservice.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/init/wfdvndservice.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/wfdvndservice.rc \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/libnfc-nci.conf:$(TARGET_COPY_OUT_VENDOR)/etc/libnfc-nci.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/libnfc-nxp.conf:$(TARGET_COPY_OUT_VENDOR)/etc/libnfc-nxp.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/AdaptLaunchFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/AdaptLaunchFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/AppClassifierFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/AppClassifierFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/LightningLaunchesFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/LightningLaunchesFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/PreKillFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/PreKillFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/ProCompFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/ProCompFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/QAPE.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/QAPE.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/QGPE.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/QGPE.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/QGPEActionMap.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/QGPEActionMap.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/SilkyScrollsFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/SilkyScrollsFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/prekill/prekill_2GB.data:$(TARGET_COPY_OUT_VENDOR)/etc/lm/prekill/prekill_2GB.data \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/prekill/prekill_4GB.data:$(TARGET_COPY_OUT_VENDOR)/etc/lm/prekill/prekill_4GB.data \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/prekill/prekill_6GB.data:$(TARGET_COPY_OUT_VENDOR)/etc/lm/prekill/prekill_6GB.data \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/lm/sPLHFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/lm/sPLHFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_cape/video_system_specs.json:$(TARGET_COPY_OUT_VENDOR)/etc/media_cape/video_system_specs.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs_cape.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs_cape.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs_cape_vendor.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs_cape_vendor.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs_performance_cape.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs_performance_cape.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs_performance_cape_vendor.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs_performance_cape_vendor.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_codecs_vendor_audio.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_codecs_vendor_audio.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles_V1_0.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles_V1_0.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles_cape.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles_cape.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles_taro.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles_taro.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles_ukee.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles_ukee.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_profiles_vendor.xml:$(TARGET_COPY_OUT_VENDOR)/etc/media_profiles_vendor.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_taro/video_system_specs.json:$(TARGET_COPY_OUT_VENDOR)/etc/media_taro/video_system_specs.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/media_ukee/video_system_specs.json:$(TARGET_COPY_OUT_VENDOR)/etc/media_ukee/video_system_specs.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/models/acd/event.eai:$(TARGET_COPY_OUT_VENDOR)/etc/models/acd/event.eai \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/models/acd/music.eai:$(TARGET_COPY_OUT_VENDOR)/etc/models/acd/music.eai \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/models/acd/speech.eai:$(TARGET_COPY_OUT_VENDOR)/etc/models/acd/speech.eai \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/msm_irqbalance.conf:$(TARGET_COPY_OUT_VENDOR)/etc/msm_irqbalance.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/oplus_Widevine_licenses.pfm:$(TARGET_COPY_OUT_VENDOR)/etc/oplus_Widevine_licenses.pfm \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/avcsysnodesconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/avcsysnodesconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/commonresourceconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/commonresourceconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/commonsysnodesconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/commonsysnodesconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/perfboostsconfig.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/perfboostsconfig.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/perfconfigstore.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/perfconfigstore.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/targetconfig.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/targetconfig.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/targetresourceconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/targetresourceconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/targetsysnodesconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/targetsysnodesconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/testcommonresourceconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/testcommonresourceconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/perf/testtargetresourceconfigs.xml:$(TARGET_COPY_OUT_VENDOR)/etc/perf/testtargetresourceconfigs.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/public.libraries.txt:$(TARGET_COPY_OUT_VENDOR)/etc/public.libraries.txt \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/pwr/PSMPowerOptFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/pwr/PSMPowerOptFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/pwr/PowerFeatureConfig.xml:$(TARGET_COPY_OUT_VENDOR)/etc/pwr/PowerFeatureConfig.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/pwr/StandbyFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/pwr/StandbyFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/pwr/VendorScenarioPowerOptFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/pwr/VendorScenarioPowerOptFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/pwr/VideoPowerOptFeature.xml:$(TARGET_COPY_OUT_VENDOR)/etc/pwr/VideoPowerOptFeature.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qconfigpresets.json:$(TARGET_COPY_OUT_VENDOR)/etc/qconfigpresets.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/qcrilNr.db:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/qcrilNr.db \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/10.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/10.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/11.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/11.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/12.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/12.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/13.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/13.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/6.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/6.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/7.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/7.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/8.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/8.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/config/9.0_config.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/config/9.0_config.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/0_initial_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/0_initial_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/10_version_update_ecc_table.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/10_version_update_ecc_table.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/11_version_update_ecc_table.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/11_version_update_ecc_table.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/12_version_update_ecc_table.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/12_version_update_ecc_table.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/1_version_intro_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/1_version_intro_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/2_version_add_wps_config_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/2_version_add_wps_config_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/3_version_update_wps_config_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/3_version_update_wps_config_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/4_version_update_ecc_table_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/4_version_update_ecc_table_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/5_version_update_ecc_table_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/5_version_update_ecc_table_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/6_version_change_property_table_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/6_version_change_property_table_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/7_version_update_ecc_table_qcrilnr.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/7_version_update_ecc_table_qcrilnr.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/8_version_update_ecc_table.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/8_version_update_ecc_table.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/qcril_database/upgrade/other/9_version_update_ecc_table.sql:$(TARGET_COPY_OUT_VENDOR)/etc/qcril_database/upgrade/other/9_version_update_ecc_table.sql \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sec_config:$(TARGET_COPY_OUT_VENDOR)/etc/sec_config \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/codec2.vendor.base-arm64.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/codec2.vendor.base-arm64.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/codec2.vendor.ext-arm64.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/codec2.vendor.ext-arm64.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/imsrtp.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/imsrtp.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/qapeservice.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/qapeservice.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/qcrilnr@2.0.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/qcrilnr@2.0.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/qspm.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/qspm.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/qti-systemd.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/qti-systemd.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/vendor.qti.hardware.dsp.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/vendor.qti.hardware.dsp.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/wfdhdcphalservice.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/wfdhdcphalservice.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/wfdvndservice.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/wfdvndservice.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/seccomp_policy/wifidisplayhalservice.policy:$(TARGET_COPY_OUT_VENDOR)/etc/seccomp_policy/wifidisplayhalservice.policy \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/diwali_default_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/diwali_default_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/diwali_dynamic_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/diwali_dynamic_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/diwali_irq.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/diwali_irq.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/diwali_power_0.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/diwali_power_0.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/diwali_qrd_dynamic_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/diwali_qrd_dynamic_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/qsh_camera.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/qsh_camera.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_amd.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_amd.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_amd_sw_disabled.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_amd_sw_disabled.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_amd_sw_enabled.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_amd_sw_enabled.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_aont.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_aont.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_basic_gestures.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_basic_gestures.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_bring_to_ear.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_bring_to_ear.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v1_0_amd.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v1_0_amd.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v1_0_ttw.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v1_0_ttw.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v2_0_walk.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v2_0_walk.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v3_0_walk.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v3_0_walk.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v3_1_walk.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v3_1_walk.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v4_0_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v4_0_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_ccd_v4_0_te_cd_regs.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_ccd_v4_0_te_cd_regs.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_cm.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_cm.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_dae.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_dae.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_device_orient.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_device_orient.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_diag_filter.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_diag_filter.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_direct_channel.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_direct_channel.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_distance_bound.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_distance_bound.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_dpc.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_dpc.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_facing.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_facing.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_fmv.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_fmv.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_fmv_legacy.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_fmv_legacy.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_geomag_rv.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_geomag_rv.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_gyro_cal.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_gyro_cal.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_heart_rate.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_heart_rate.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_mag_cal.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_mag_cal.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_mag_cal_legacy.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_mag_cal_legacy.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_multishake.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_multishake.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_pedometer.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_pedometer.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_rmd.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_rmd.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_rotv.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_rotv.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_smd.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_smd.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_tilt.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_tilt.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_tilt_sw_disabled.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_tilt_sw_disabled.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_tilt_sw_enabled.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_tilt_sw_enabled.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_tilt_to_wake.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_tilt_to_wake.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/sns_wrist_pedo.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/sns_wrist_pedo.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/ukee_default_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/ukee_default_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/ukee_dynamic_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/ukee_dynamic_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/ukee_irq.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/ukee_irq.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/ukee_power_0.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/ukee_power_0.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/ukee_shtw2_0.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/ukee_shtw2_0.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/waipio_default_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/waipio_default_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/waipio_dynamic_sensors.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/waipio_dynamic_sensors.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/waipio_irq.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/waipio_irq.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/config/waipio_power_0.json:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/config/waipio_power_0.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/hals.conf:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/hals.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/sensors/sns_reg_config:$(TARGET_COPY_OUT_VENDOR)/etc/sensors/sns_reg_config \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/ssg/ta_config.json:$(TARGET_COPY_OUT_VENDOR)/etc/ssg/ta_config.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/ssg/tz_whitelist.json:$(TARGET_COPY_OUT_VENDOR)/etc/ssg/tz_whitelist.json \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/thermal-engine.conf:$(TARGET_COPY_OUT_VENDOR)/etc/thermal-engine.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/wfdconfig.xml:$(TARGET_COPY_OUT_VENDOR)/etc/wfdconfig.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/wifi/icm.conf:$(TARGET_COPY_OUT_VENDOR)/etc/wifi/icm.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/wifi/p2p_supplicant_overlay.conf:$(TARGET_COPY_OUT_VENDOR)/etc/wifi/p2p_supplicant_overlay.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/wifi/vendor_cmd.xml:$(TARGET_COPY_OUT_VENDOR)/etc/wifi/vendor_cmd.xml \
    vendor/oneplus/sm8450-common/proprietary/vendor/etc/wifi/wpa_supplicant_overlay.conf:$(TARGET_COPY_OUT_VENDOR)/etc/wifi/wpa_supplicant_overlay.conf \
    vendor/oneplus/sm8450-common/proprietary/vendor/firmware/sn100u.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/sn100u.bin

PRODUCT_PACKAGES += \
    libpasrutils \
    libqconfigclient \
    libqti-iopd-client \
    libqti-iopd \
    vendor.qti.hardware.iop@1.0 \
    vendor.qti.hardware.iop@2.0 \
    btaudio_offload_if \
    com.qualcomm.qti.dpm.api@1.0_vendor \
    com.qualcomm.qti.imscmservice@1.0 \
    com.qualcomm.qti.imscmservice@2.0 \
    com.qualcomm.qti.imscmservice@2.1 \
    com.qualcomm.qti.imscmservice@2.2 \
    com.qualcomm.qti.uceservice@2.0 \
    com.qualcomm.qti.uceservice@2.1 \
    com.qualcomm.qti.uceservice@2.2 \
    com.qualcomm.qti.uceservice@2.3 \
    deviceInfoServiceModuleNr \
    eglSubDriverAndroid \
    libEGL_adreno \
    libGLESv1_CM_adreno \
    libGLESv2_adreno \
    libVkLayer_ADRENO_qprofiler \
    libq3dtools_adreno \
    libq3dtools_esx \
    android.hardware.bluetooth@1.0-impl-qti \
    android.hardware.gatekeeper@1.0-impl-qti \
    com.dsi.ant@1.0-impl \
    vendor.qti.hardware.bluetooth_audio@2.0-impl \
    vendor.qti.hardware.bluetooth_audio@2.1-impl \
    vendor.qti.hardware.bluetooth_sar@1.1-impl \
    vendor.qti.hardware.btconfigstore@1.0-impl \
    vendor.qti.hardware.btconfigstore@2.0-impl \
    vendor.qti.hardware.capabilityconfigstore@1.0-impl \
    vendor.qti.hardware.qccvndhal@1.0-impl \
    vendor.qti.hardware.qseecom@1.0-impl \
    vendor.qti.hardware.qteeconnector@1.0-impl \
    vendor.qti.hardware.soter@1.0-impl \
    vendor.qti.hardware.wifidisplaysession@1.0-impl \
    vulkan.adreno \
    lib-imscommon \
    lib-imsdpl \
    lib-imsqimf \
    lib-imsrcsservice \
    lib-imsservice \
    lib-imsvtcore \
    lib-imsxml \
    lib-rtpcommon \
    lib-rtpcore \
    lib-rtpsl \
    libAlacSwDec \
    libApeSwDec \
    libCB \
    libEvrcSwCodec \
    libFileMux_proprietary \
    libFlacSwDec \
    libGPQTEEC_vendor \
    libGPTEE_vendor \
    libGPreqcancel \
    libGPreqcancel_svc \
    libOpenCL \
    libQSEEComAPI \
    libQTEEConnector_listener \
    libQTEEConnector_vendor \
    libQtiRilLoadable \
    libTouchInputVM \
    libTrustedInput \
    libTrustedInputTZ \
    libTrustedInputUtils \
    libTrustedUI \
    libTrustedUITZ \
    libTrustedUIVM \
    lib_bt_aptx \
    lib_bt_ble \
    lib_bt_bundle \
    libadaptlaunch \
    libadm \
    libadreno_app_profiles \
    libadreno_utils \
    libadsp_default_listener \
    libadsprpc \
    libagm \
    libapengine \
    libappclassifier \
    libar-acdb \
    libar-gpr \
    libar-gsl \
    libar-pal \
    libats \
    libaudio_log_utils \
    libbacklight-calib \
    libbluetooth_audio_session_qti \
    libbluetooth_audio_session_qti_2_1 \
    libbtnv \
    libcacertclient \
    libcapiv2svacnnvendor \
    libcapiv2svarnnvendor \
    libcapiv2uvvendor \
    libcdfw \
    libcdfw_remote_api \
    libcdsp_default_listener \
    libcdsprpc \
    libcne \
    libcneapiclient \
    libcneoplookup \
    libcneqmiutils \
    libconfigdb \
    libcpion \
    libcv_common \
    libcvp2_1 \
    libcvpcpuRev_skel \
    libcwb_client_vendor \
    libcwb_qcom \
    libdataitems \
    libdiag \
    libdigital-dimming \
    libdisp-aba \
    libdisplayconfig.qti \
    libdisplayqos \
    libdisplayskuutils \
    libdpmqmihal \
    libdpps \
    libdrmfs \
    libdrmtime \
    libdsi_netctrl \
    libdsutils \
    libeai_fixed \
    libeai_float \
    libeva \
    libfastcvdsp_stub \
    libfastcvopt \
    libgame_enhance \
    libgpudataproducer \
    libgrpc++_unsecure_prebuilt \
    libgsl \
    libhdr_backlight_adapter \
    libhdr_stub \
    libhdr_tm \
    libhdrdynamic \
    libhdrdynamicootf \
    libhistogram \
    libidl \
    libizat_client_api \
    libizat_core \
    libjnihelper \
    libkcl \
    libkernelmanager \
    libkeymasterdeviceutils \
    libkeymasterprovision \
    libkeymasterutils \
    liblbs_core \
    liblearningmodule \
    liblightninglaunches \
    liblistensoundmodel2vendor \
    libllvm-glnext \
    libllvm-qcom \
    libllvm-qgl \
    liblmthermallistner \
    liblmutils-ns \
    libloc_api_v02 \
    libloc_api_wds \
    libloc_base_util \
    libloc_eng_hub \
    libloc_mq_client \
    libloc_qwes_iface \
    libloc_ril_client \
    libloc_socket \
    libloc_util \
    liblocationservice \
    liblocationservice_glue \
    liblocdiagiface \
    liblowi_client \
    liblowi_common \
    liblowi_wifihal \
    liblqe \
    liblx-ar_util \
    liblx-osal \
    libmcs \
    libmdmdetect \
    libmdsprpc \
    libmemperfd \
    libmemutils \
    libmeters-ns \
    libmeters \
    libminkdescriptor \
    libminksocket_vendor \
    libmm-hdcpmgr \
    libmmosal_vendor \
    libmmrtpdecoder_vendor \
    libmmrtpencoder_vendor \
    libnanopb \
    libnetmgr \
    libnetmgr_common \
    libnetmgr_datapath_proxy \
    libnetmgr_nr_fusion \
    libnetmgr_rmnet_ext \
    libnetmgr_sscm3 \
    libnetmgr_utils \
    libnetmgrext_interface_client \
    libnetmgrext_interface_server \
    libnetmgrmodemproxy \
    libnetmgrportutils \
    libnetmgrxfrmutils \
    libnlnetmgr \
    libops \
    libpal_net_if \
    libpdmapper \
    libpdnotifier \
    libperfconfig \
    libperfgluelayer \
    libperfioctl \
    libperipheral_client \
    libpowercallback \
    libpowercore \
    libprekill \
    libprocomp \
    libpsmoptfeature \
    libqapesdk \
    libqc2audio_base \
    libqc2audio_basecodec \
    libqc2audio_core \
    libqc2audio_hooks \
    libqc2audio_hwaudiocodec \
    libqc2audio_platform \
    libqc2audio_swaudiocodec \
    libqc2audio_utils \
    libqc2colorconvertfilter \
    libqc2filter \
    libqc2vppfilter \
    libqcbor \
    libqcc_file_agent \
    libqcmaputils \
    libqcodec2_base \
    libqcodec2_basecodec \
    libqcodec2_core \
    libqcodec2_filterbase \
    libqcodec2_hooks \
    libqcodec2_mockfilter \
    libqcodec2_mockqc2filter \
    libqcodec2_platform \
    libqcodec2_utils \
    libqcodec2_v4l2codec \
    libqcrilDataModule \
    libqcrilNr \
    libqcrilNrCellInfoModule \
    libqcrilNrFramework \
    libqcrilNrImsModule \
    libqcrilNrLogger \
    libqcrilNrPbmModule \
    libqcrilNrQtiBus \
    libqcrilNrQtiMutex \
    libqcrilNrSmsModule \
    libqcrilNrSocketModule \
    libqcrilNrVoiceModule \
    libqcrildataaidl \
    libqcrildatactl \
    libqcrildataqos \
    libqdcm-algo \
    libqdcm-json-mode-parser \
    libqdcm-mode-parser \
    libqdi \
    libqdp \
    libqdpr \
    libqdutils \
    libqisl \
    libqmi \
    libqmi_cci \
    libqmi_client_helper \
    libqmi_client_qmux \
    libqmi_common_so \
    libqmi_csi \
    libqmi_encdec \
    libqmi_legacy \
    libqmiservices \
    libqrtr \
    libqrtrclient \
    libqseed3 \
    libqsocket \
    libqti-perfd-client \
    libqti-perfd \
    libqti-util \
    libqti-utils \
    libqtigefar \
    libqtikeymaster4 \
    libqtikeymint \
    librcc \
    librcmask \
    libril-db \
    libril-legacy \
    libril-qc-ltedirectdisc \
    libril-qc-radioconfig \
    librilqmimiscservices \
    librpmb \
    libscveCommon \
    libscveCommon_stub \
    libscveObjectSegmentation \
    libscveObjectTracker \
    libscveObjectTracker_stub \
    libsdedrm \
    libsdm-color \
    libsdm-colormgr-algo \
    libsdm-disp-vndapis \
    libsdmcore \
    libsdmextension \
    libsdmutils \
    libsdsprpc \
    libsensorcal \
    libsensorslog \
    libshsc \
    libshsusr_verinfo \
    libsi \
    libsilkyscrolls \
    libskewknob \
    libsnapdragoncolor-manager \
    libsnapdragoncolor-qdcm \
    libsns_api \
    libsns_device_mode_stub \
    libsns_direct_channel_stub \
    libsns_registry_skel \
    libsnsapi \
    libsnsdiaglog \
    libsoc_helper \
    libspcom \
    libspl \
    libsplh \
    libssc \
    libssc_default_listener \
    libssd \
    libstandbyfeature \
    libsys_info_cache \
    libsystem_health_mon \
    libtestutils \
    libthermalclient \
    libtime_genoff \
    libtinyxml2_1 \
    libtrustedapploader \
    libvendorscenariopoweroptfeature \
    libvideooptfeature \
    libvideotxr \
    libvmmem \
    libvppclient \
    libvppcommon \
    libvpphcp \
    libvpphvx \
    libvppimmotion \
    libvpplibrary \
    libvpptestutils \
    libwfdcodecv4l2_proprietary \
    libwfdcommonutils_proprietary \
    libwfdconfigutils_proprietary \
    libwfddisplayconfig_vendor \
    libwfdhdcpcp \
    libwfdhdcpservice_proprietary \
    libwfdmminterface_proprietary \
    libwfdmmservice_proprietary \
    libwfdmmsrc_proprietary \
    libwfdmodulehdcpsession \
    libwfdrtsp_vendor \
    libwfdsessionmodule \
    libwfdsourcesession_proprietary \
    libwfdsourcesm_proprietary \
    libwfduibcinterface_vendor \
    libwfduibcsink_vendor \
    libwfduibcsinkinterface_vendor \
    libwfduibcsrc_vendor \
    libwfduibcsrcinterface_vendor \
    libwfdutils_proprietary \
    libwms \
    libwqe \
    libwvhidl \
    libxml \
    libxtadapter \
    qcrilInterfaces \
    qcrilMarshal \
    qcrilNrQmiModule \
    qcrilNr_aidl_IQtiRadioConfig \
    qcril_client \
    qcrild_libqcrilnr \
    qcrild_libqcrilnrutils \
    qti.video.utils.videobufferlayout \
    qtiPeripheralMgr \
    qtiril-utils \
    qtiwakelock \
    sensors.ssc \
    libasphere \
    libaudiopreprocessing \
    libbundlewrapper \
    libdownmix \
    libdynproc \
    libeffectproxy \
    libldnhncr \
    libreverbwrapper \
    libshoebox \
    libvisualizer \
    vendor.display.color@1.0 \
    vendor.display.color@1.1 \
    vendor.display.color@1.2 \
    vendor.display.color@1.3 \
    vendor.display.color@1.4 \
    vendor.display.color@1.5 \
    vendor.display.color@1.6 \
    vendor.display.color@1.7 \
    vendor.display.postproc@1.0 \
    vendor.libdpmctmgr \
    vendor.libdpmfdmgr \
    vendor.libdpmframework \
    vendor.libdpmtcm \
    vendor.libmwqemiptablemgr \
    vendor.oplus.hardware.appradioaidl-V1-ndk_platform \
    vendor.oplus.hardware.communicationcenter-V2-ndk_platform \
    vendor.oplus.hardware.cwb@1.0 \
    vendor.oplus.hardware.ims-V1-ndk_platform \
    vendor.oplus.hardware.radio-V2-ndk_platform \
    vendor.pixelworks.hardware.feature-V1-ndk_platform \
    vendor.qti.data.factory@2.0 \
    vendor.qti.data.factory@2.1 \
    vendor.qti.data.factory@2.2 \
    vendor.qti.data.factory@2.3 \
    vendor.qti.data.factory@2.4 \
    vendor.qti.data.factory@2.5 \
    vendor.qti.data.mwqem@1.0 \
    vendor.qti.data.slm@1.0 \
    vendor.qti.diaghal@1.0_vendor \
    vendor.qti.gnss-V5-ndk \
    vendor.qti.gnss-service \
    vendor.qti.hardware.AGMIPC@1.0-impl \
    vendor.qti.hardware.ListenSoundModel@1.0-impl \
    vendor.qti.hardware.ListenSoundModel@1.0 \
    vendor.qti.hardware.bluetooth_sar@1.0 \
    vendor.qti.hardware.bluetooth_sar@1.1 \
    vendor.qti.hardware.cacert@1.0 \
    vendor.qti.hardware.data.cne.internal.api@1.0 \
    vendor.qti.hardware.data.cne.internal.constants@1.0 \
    vendor.qti.hardware.data.cne.internal.server@1.0 \
    vendor.qti.hardware.data.cne.internal.server@1.1 \
    vendor.qti.hardware.data.cne.internal.server@1.2 \
    vendor.qti.hardware.data.connection@1.0 \
    vendor.qti.hardware.data.connection@1.1 \
    vendor.qti.hardware.data.connectionfactory-V1-ndk_platform \
    vendor.qti.hardware.data.dataactivity-V1-ndk_platform \
    vendor.qti.hardware.data.dynamicdds@1.0 \
    vendor.qti.hardware.data.dynamicdds@1.1 \
    vendor.qti.hardware.data.flow@1.0 \
    vendor.qti.hardware.data.iwlan@1.0 \
    vendor.qti.hardware.data.iwlan@1.1 \
    vendor.qti.hardware.data.ka-V1-ndk_platform \
    vendor.qti.hardware.data.latency@1.0 \
    vendor.qti.hardware.data.lce@1.0 \
    vendor.qti.hardware.data.qmi@1.0 \
    vendor.qti.hardware.dpmservice@1.0_vendor \
    vendor.qti.hardware.dpmservice@1.1 \
    vendor.qti.hardware.dsp@1.0 \
    vendor.qti.hardware.fm@1.0 \
    vendor.qti.hardware.mwqemadapter@1.0 \
    vendor.qti.hardware.power.powermodule@1.0 \
    vendor.qti.hardware.qccsyshal@1.0_vendor \
    vendor.qti.hardware.qccsyshal@1.1_vendor \
    vendor.qti.hardware.qccvndhal@1.0-halimpl \
    vendor.qti.hardware.qccvndhal@1.0_vendor \
    vendor.qti.hardware.qconfig@1.0 \
    vendor.qti.hardware.qdutils_disp@1.0 \
    vendor.qti.hardware.qseecom@1.0 \
    vendor.qti.hardware.qteeconnector@1.0 \
    vendor.qti.hardware.radio.am@1.0 \
    vendor.qti.hardware.radio.atcmdfwd@1.0 \
    vendor.qti.hardware.radio.ims-V7-ndk_platform \
    vendor.qti.hardware.radio.ims@1.0 \
    vendor.qti.hardware.radio.ims@1.1 \
    vendor.qti.hardware.radio.ims@1.2 \
    vendor.qti.hardware.radio.ims@1.3 \
    vendor.qti.hardware.radio.ims@1.4 \
    vendor.qti.hardware.radio.ims@1.5 \
    vendor.qti.hardware.radio.ims@1.6 \
    vendor.qti.hardware.radio.ims@1.7 \
    vendor.qti.hardware.radio.ims@1.8 \
    vendor.qti.hardware.radio.internal.deviceinfo@1.0 \
    vendor.qti.hardware.radio.lpa@1.0 \
    vendor.qti.hardware.radio.lpa@1.1 \
    vendor.qti.hardware.radio.lpa@1.2 \
    vendor.qti.hardware.radio.qcrilhook@1.0 \
    vendor.qti.hardware.radio.qtiradio-V8-ndk_platform \
    vendor.qti.hardware.radio.qtiradio@1.0 \
    vendor.qti.hardware.radio.qtiradio@2.0 \
    vendor.qti.hardware.radio.qtiradio@2.1 \
    vendor.qti.hardware.radio.qtiradio@2.2 \
    vendor.qti.hardware.radio.qtiradio@2.3 \
    vendor.qti.hardware.radio.qtiradio@2.4 \
    vendor.qti.hardware.radio.qtiradio@2.5 \
    vendor.qti.hardware.radio.qtiradio@2.6 \
    vendor.qti.hardware.radio.qtiradioconfig-V2-ndk_platform \
    vendor.qti.hardware.radio.uim@1.0 \
    vendor.qti.hardware.radio.uim@1.1 \
    vendor.qti.hardware.radio.uim@1.2 \
    vendor.qti.hardware.radio.uim_remote_client@1.0 \
    vendor.qti.hardware.radio.uim_remote_client@1.1 \
    vendor.qti.hardware.radio.uim_remote_client@1.2 \
    vendor.qti.hardware.radio.uim_remote_server@1.0 \
    vendor.qti.hardware.slmadapter@1.0 \
    vendor.qti.hardware.soter@1.0 \
    vendor.qti.hardware.trustedui@1.0 \
    vendor.qti.hardware.trustedui@1.1 \
    vendor.qti.hardware.trustedui@1.2 \
    vendor.qti.hardware.tui_comm@1.0 \
    vendor.qti.hardware.vpp@1.1 \
    vendor.qti.hardware.vpp@1.2 \
    vendor.qti.hardware.vpp@1.3 \
    vendor.qti.hardware.vpp@2.0 \
    vendor.qti.hardware.wifidisplaysession@1.0_vendor \
    vendor.qti.hardware.wifidisplaysessionl@1.0-halimpl \
    vendor.qti.ims.callcapability@1.0 \
    vendor.qti.ims.callinfo@1.0 \
    vendor.qti.ims.configservice@1.0 \
    vendor.qti.ims.configservice@1.1 \
    vendor.qti.ims.connection@1.0 \
    vendor.qti.ims.factory@1.0 \
    vendor.qti.ims.factory@1.1 \
    vendor.qti.ims.factory@2.0 \
    vendor.qti.ims.factory@2.1 \
    vendor.qti.ims.factory@2.2 \
    vendor.qti.ims.rcsconfig@1.0 \
    vendor.qti.ims.rcsconfig@1.1 \
    vendor.qti.ims.rcsconfig@2.0 \
    vendor.qti.ims.rcsconfig@2.1 \
    vendor.qti.ims.rcssip@1.0 \
    vendor.qti.ims.rcssip@1.1 \
    vendor.qti.ims.rcssip@1.2 \
    vendor.qti.ims.rcsuce@1.0 \
    vendor.qti.ims.rcsuce@1.1 \
    vendor.qti.ims.rcsuce@1.2 \
    vendor.qti.imsrtpservice@3.0-service-Impl \
    vendor.qti.imsrtpservice@3.0_vendor \
    vendor.qti.latency@2.0 \
    vendor.qti.latency@2.1 \
    vendor.qti.memory.pasrmanager@1.0 \
    vendor.qti.memory.pasrmanager@1.1 \
    vendor.qti.power.pasrmanager@1.0 \
    vendor.qti.qspmhal@1.0-impl \
    vendor.qti.qspmhal@1.0 \
    bm2n00 \
    bm2n01 \
    bm2n02 \
    bm2n03 \
    bm2n04 \
    bm2n05 \
    bm2n06 \
    bm2n07 \
    bm2n08 \
    bm2n09 \
    bm2n10 \
    bm2n11 \
    bm2n12 \
    bm2n13 \
    bm2n14 \
    bm2n15 \
    bm2n16 \
    bm2n17 \
    bm2n18 \
    bm2n19 \
    bm2n20 \
    bm2n21 \
    bm2n22 \
    bm2n23 \
    bm2n24 \
    bm2n25 \
    bm2n26 \
    bm2n27 \
    bm2n31 \
    bm2n32 \
    bm2n33 \
    bm2n34 \
    bm2n35 \
    bm2n36 \
    bm2n37 \
    bm2n38 \
    bm2n39 \
    bm2n40 \
    bm2n41 \
    bm2n42 \
    bm2n43 \
    bm2n44 \
    bm2n45 \
    bm2n46 \
    bm2n47 \
    bm2n48 \
    bm2n49 \
    bm2n50 \
    bm2n51 \
    bm2n52 \
    bm2n53 \
    bm2n54 \
    bm2n55 \
    libDspIOProxy_skel \
    libQ6MSFR_manager_skel \
    libadsp_jpege_skel \
    libapn_dsp_skel \
    libbitml_nsp_skel \
    libbitml_nsp_v2_skel \
    libcamera_nn_skel \
    libcvpdsp_2_1 \
    libdspCV_skel \
    libdsp_streamer_binning \
    libdsp_streamer_qvrcam_receiver \
    libevadsp_3_0 \
    libeye_tracking_dsp_sample_skel \
    libfastcvadsp \
    libfastcvdsp_skel \
    libhalide_hexagon_remote_skel \
    libhdr_skel_vendor \
    libhme_dsp_skel \
    libmctfengine_skel \
    libosie_skel \
    libqvr_cam_dsp_driver_skel \
    libqvr_dsp_driver_skel \
    libscveT2T_skel \
    libtracker_6dof_skel_8250 \
    libtracker_6dof_skel_8350 \
    lib-imsvideocodec \
    lib-imsvt \
    lib-imsvtextutils \
    lib-imsvtutils \
    libdiag_system \
    libimscamera_jni \
    libimsmedia_jni \
    libmmosal \
    libmmparser_lite \
    libmmrtpdecoder \
    libmmrtpencoder \
    libqcc \
    libqcc_file_agent_sys \
    libqccdme \
    libqccfileservice \
    libwfdavenhancements \
    libwfdclient \
    libwfdcommonutils \
    libwfdconfigutils \
    libwfddisplayconfig \
    libwfdmminterface \
    libwfdmmsink \
    libwfdmmsrc_system \
    libwfdnative \
    libwfdrtsp \
    libwfdservice \
    libwfdsinksm \
    libwfduibcinterface \
    libwfduibcsink \
    libwfduibcsinkinterface \
    libwfduibcsrc \
    libwfduibcsrcinterface \
    vendor.qti.ImsRtpService-V1-ndk \
    vendor.qti.diaghal@1.0 \
    vendor.qti.hardware.qccsyshal@1.0 \
    vendor.qti.hardware.qccsyshal@1.1 \
    vendor.qti.hardware.qccsyshal@1.2-halimpl \
    vendor.qti.hardware.qccsyshal@1.2 \
    vendor.qti.hardware.qccvndhal@1.0 \
    vendor.qti.hardware.wifidisplaysession@1.0 \
    vendor.qti.hardware.wifidisplaysession_aidl-V1-ndk \
    vendor.qti.imsrtpservice@3.0 \
    vendor.qti.imsrtpservice@3.1 \
    vendor.qti.qccvndhal_aidl-V1-ndk \
    libQnnHtp \
    libQnnHtpPrepare \
    libQnnHtpV69Stub \
    libQnnHtp.aiboost \
    libQnnHtpPrepare.aiboost \
    libQnnHtpV69Stub.aiboost \
    lib-virtual-modem-protos \
    libbluetooth_audio_extend_factory_client \
    libbluetooth_audio_extend_session_oplus \
    libc++_shared \
    libcdm_metrics_protos \
    libcdm_protos \
    libcommcenterfw \
    libcommcenterutils \
    libdapparamstorage_sp \
    libdlbdsservice_sp \
    libdlbpreg_sp \
    libdmtp-protos-lite \
    libdmtpclient \
    liboemcrypto \
    liboplus_service \
    liboplusvppfilter \
    libosie_process \
    libosie_stub \
    libpwirisfeature \
    libpwirishalwrapper \
    libsnapdragoncolor-pxlw \
    libtfa98xx \
    libziparchive_odm \
    libwvdrmengine \
    vendor.dolby_sp.hardware.dmssp@2.0 \
    vendor.oplus.hardware.appradio@1.0 \
    vendor.oplus.hardware.bluetooth_audio_extend@2.1 \
    vendor.oplus.hardware.communicationcenter-V1-ndk_platform \
    vendor.oplus.hardware.ims@1.0 \
    vendor.oplus.hardware.osense.client-V1-ndk_platform \
    vendor.oplus.hardware.performance-V1-ndk_platform \
    vendor.oplus.hardware.radio@1.0 \
    vendor.oplus.hardware.touch-V1-ndk_platform \
    vendor.oplus.hardware.touch-V2-ndk_platform \
    vendor.pixelworks.hardware.display@1.0 \
    vendor.pixelworks.hardware.display@1.1 \
    vendor.pixelworks.hardware.display@1.2 \
    vendor.pixelworks.hardware.feature@1.0 \
    vendor.pixelworks.hardware.feature@1.1 \
    vendor.qti.esepowermanager@1.0 \
    vendor.qti.esepowermanager@1.1 \
    vendor.qti.hardware.pal@1.0-impl_odm \
    CACertService \
    CneApp \
    IWlanService \
    TimeService \
    ImsRcsService \
    QCC \
    QtiTelephony \
    QtiTelephonyService \
    WfdService \
    ims \
    qcrilmsgtunnel \
    WfdCommon \
    qcrilhook \
    vendor.qti.ims.connection-V1.0-java \
    vendor.qti.ims.connectionaidlservice-V1-java \
    vendor.qti.ims.factory-V2.0-java \
    vendor.qti.ims.factory-V2.1-java \
    vendor.qti.ims.factory-V2.2-java \
    vendor.qti.ims.factoryaidlservice-V1-java \
    vendor.qti.ims.rcssip-V1.0-java \
    vendor.qti.ims.rcssip-V1.1-java \
    vendor.qti.ims.rcssip-V1.2-java \
    vendor.qti.ims.rcssipaidlservice-V1-java \
    vendor.qti.ims.rcsuce-V1.0-java \
    vendor.qti.ims.rcsuce-V1.1-java \
    vendor.qti.ims.rcsuce-V1.2-java \
    vendor.qti.ims.rcsuceaidlservice-V1-java \
    android.hardware.security.keymint-service-qti.xml \
    c2_manifest_vendor.xml \
    c2_manifest_vendor_audio.xml \
    vendor.qti.diag.hal.service.xml \
    vendor.qti.gnss-service.xml \
    vendor.qti.hardware.perf.xml \
    vendor.qti.hardware.power.powermodule.xml \
    vendor.qti.hardware.qconfig@1.0-service.xml \
    vendor.qti.hardware.radio.qtiradioconfig.xml \
    vendor.qti.hardware.vpp@2.0-service.xml \
    device_manifest_communication_center_aidl.xml \
    manifest_android.hardware.drm@1.4-service.widevine.xml \
    manifest_oplus_cwb.xml \
    manifest_performance_aidl.xml \
    adpl \
    adsprpcd \
    cdsprpcd \
    cnd \
    cnss-daemon \
    diag-router \
    dpmQmiMgr \
    dspservice \
    edgnss-daemon \
    feature_enabler_client \
    android.hardware.bluetooth@1.0-service-qti \
    android.hardware.gatekeeper@1.0-service-qti \
    android.hardware.keymaster@4.1-service-qti \
    android.hardware.security.keymint-service-qti \
    qconfigservice \
    qcrilNrd \
    vendor.display.color@1.0-service \
    vendor.qti.hardware.capabilityconfigstore@1.0-service \
    vendor.qti.hardware.display.composer-service \
    vendor.qti.hardware.iop@2.0-service \
    vendor.qti.hardware.perf-hal-service \
    vendor.qti.hardware.qseecom@1.0-service \
    vendor.qti.hardware.qteeconnector@1.0-service \
    vendor.qti.hardware.soter@1.0-service \
    vendor.qti.hardware.trustedui@1.0-service-qti \
    vendor.qti.media.c2@1.0-service \
    vendor.qti.media.c2audio@1.0-service \
    ims_rtp_daemon \
    imsdaemon \
    init.kernel.post_boot-cape \
    init.qcom.sensors \
    init.qti.kernel \
    init.qti.media \
    init.qti.qcv \
    init.qti.write \
    irsc_util \
    ks \
    loc_launcher \
    lowi-server \
    mlid \
    msm_irqbalance \
    netmgrd \
    pd-mapper \
    pm-proxy \
    pm-service \
    port-bridge \
    poweropt-service \
    ppd \
    qcc-trd \
    qdcmss \
    qmipriod \
    qrtr-cfg \
    qrtr-lookup \
    qrtr-ns \
    qseecomd \
    qti \
    rmt_storage \
    sensors.qti \
    shsusrd \
    slim_daemon \
    sscrpcd \
    ssgqmigd64 \
    ssgtzd \
    tftp_server \
    thermal-engine-v2 \
    time_daemon \
    trusteduilistener \
    vendor.dpmd \
    vendor.qti.qspmhal@1.0-service \
    vendor_modprobe \
    vppservice \
    wfdhdcphalservice \
    wfdvndservice \
    wifidisplayhalservice \
    xtra-daemon \
    qccsyshal@1.2-service \
    wfdservice64 \
    android.hardware.drm@1.4-service.widevine \
    vendor-oplus-hardware-performance-V1-service \
    oplus_sensor_fb

PRODUCT_PACKAGES += \
    system_ext_priv-app_ims_lib_arm64_libimscamera_jni_so \
    system_ext_priv-app_ims_lib_arm64_libimsmedia_jni_so \
    system_ext_priv-app_WfdService_lib_arm64_libwfdnative_so \
    vendor_lib64_libEGL_adreno_so \
    vendor_lib64_libGLESv2_adreno_so \
    vendor_lib64_libq3dtools_adreno_so

PRODUCT_BOOT_JARS += \
    WfdCommon
